org.apache.maven.scm.provider.svn.command.diff

## Class SvnDiffConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.svn.command.diff.SvnDiffConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class SvnDiffConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Brett Porter, Olivier Lamy

### Constructor Summary

Constructors
Constructor and Description
`SvnDiffConsumer(ScmLogger logger, File workingDirectory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<ScmFile>` `getChangedFiles()`
`Map<String,CharSequence>` `getDifferences()`
`String` `getPatch()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnDiffConsumer

    public SvnDiffConsumer(ScmLogger logger,
                           File workingDirectory)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getChangedFiles

    public List<ScmFile> getChangedFiles()

#### getDifferences

    public Map<String,CharSequence> getDifferences()

#### getPatch

    public String getPatch()